function doFilterSingleWork(filterSingleDiv, filterId, languageName, isHdTruck) {
    $("#ajaxStatementInfo").show();
    $("#ajaxStatementInfo").html("<img src=\"../Content/img/ajax-loader.gif\" alt=\"loading\">");

    var isHd = "";
    if (isHdTruck != null)
        isHd = "&isHdTruck=" + isHdTruck;
    var url = "/Ajax/FiltersSingleAjaxFiltron?filterId=" + filterId + "&languageName=" + languageName + isHd;
    $.ajax({
        url: url,
        type: "GET",
        success: function(response) {
            $("#ajaxStatementInfo").hide();
           // doLastSearch(filterId, languageName, 'f');
            if ($(".popupScroll").length > 0) {
                $(".popupScroll").mCustomScrollbar({
                    advanced: {
                        updateOnContentResize: true
                    }
                });
            }
            $("." + filterSingleDiv).html(response);
        }
    });
}


/*
if (httpObject != null) {
 
httpObject.open("GET", url, true);
httpObject.onreadystatechange = function () {
if (httpObject.readyState == (1 || 0)) {
jQuery("." + filterSingleDiv).css('height', '300px');
jQuery("." + filterSingleDiv).css('text-align', 'center');
jQuery("." + filterSingleDiv).html("<img style=\"margin-top: 145px;\" src=\"../../../Content/images/ajax-loader.gif\" alt=\"loading\">");
}
if (httpObject.readyState == 4) {
jQuery("." + filterSingleDiv).css('height', 'auto');
jQuery("." + filterSingleDiv).css('text-align', 'left');
jQuery("." + filterSingleDiv).html(httpObject.responseText);
doLastSearch(filterId, languageName, 'f');
if (jQuery(".popupScroll").length > 0) {
jQuery(".popupScroll").mCustomScrollbar({
advanced: {
updateOnContentResize: true
}
});
}
} //if state
}       //func
httpObject.send(null);
} //if 	   
}*/
/*
function doLastSearch(filterId, languageName, filterProd) {
httpObject1 = getHTTPObject();
if (httpObject != null) {
var engine_id = "";
jQuery("#searchLeftSide table tbody tr").each(function(i, el) {
if (jQuery(el).hasClass('active')) {
engineId = jQuery(el).attr('id');
engineIdDashPosition = engineId.indexOf('-');
engineId = engineId.substr(engineIdDashPosition + 1);
}
});
var makeId = jQuery("#id_master").val();
var modelId = jQuery("#id_detail").val();
var url1 = "/Ajax/addLastSearchesAjax?makeId=" + makeId + "&modelId=" + modelId + "&engineId=" + engineId + "&filterId=" + filterId + "&filterProd=" + filterProd + "&languageName=" + languageName;
httpObject1.open("GET", url1, true);
httpObject1.send(null);
} //if
 
 
}*/